package com.bwie.auth.feign;

import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.response.UserRes;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info:
 */
@FeignClient("bwie-system")
public interface FeignSystem {

    @PostMapping("/selectUser")
    public Result<UserRes> selectUser(@RequestBody UserReq userReq);
}
