package com.bwie.auth.service;

import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.response.UserRes;
import com.bwie.common.result.Result;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info:
 */
public interface AuthService {
    /**
     * 登录
     * @param userReq
     * @return
     */
    Result<UserRes> login(UserReq userReq);
    /**
     * 获取用户信息
     * @return
     */
    Result<UserRes> info();

    /**
     * 退出登录
     * @return
     */
    Result logout();
}
