package com.bwie.es.feign;

import com.bwie.common.domain.BorrowMoney;
import com.bwie.common.domain.request.BorrowMoneyReq;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info:
 */
@FeignClient("bwie-server")
public interface FeignServer {

    /**
     * 查询借款信息
     * @Parment borrowMoneyReq
     * @return
     */
    @GetMapping("/giveESData")
    public Result<List<BorrowMoney>> giveESData();
}
