package com.bwie.server.feign;

import com.bwie.common.domain.response.UserRes;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info:
 */
@FeignClient("bwie-es")
public interface FeignES{
    /**
     * 获取用户信息
     *
     * @return
     */
    @GetMapping("/addBatch")
    void addBatch();
}
