package com.bwie.es.task;

import com.bwie.es.service.ESService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 定时同步es
 */
@Component
public class ESTask {

    @Resource
    private ESService esService;

    @Scheduled(cron = "*/10 * * * * ?")
    public void esTask(){
        System.out.println("定时任务开始");
        esService.addBatch();
    }
}
